<?php
namespace Controller;

use Zeedhi\Framework\Controller\Simple;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Response\Message;

/**
 * Class Signup
 *
 * Controller used for receive data to perform the registration the PM.
 *
 * @package Controller
 */

class Signup extends Simple {

	/** @var \Service\Signup $signUpService */
	protected $signUpService;

	public function __construct(\Service\Signup $signUpService) {
		$this->signUpService = $signUpService;
	}

	public function save(Request\DataSet $request, Response $response) {
		try {
			$dataSet = $request->getDataSet()->getRows();
			$this->signUpService->save($dataSet[0], $dataSet[1]);
			$dataSet = array(
				array(
					"MSG1" => "O cadastro foi concluído com sucesso!",
					"MSG2" => "Verifique no e-mail cadastrado (",
					"EMAIL" => $dataSet[1]['ADMIN_EMAIL'],
					"MSG3" => ") uma mensagem com as",
					"MSG4" => "instruções para ativar seu cadastro."
				)
			);
			$response->addDataSet(new DataSet('finish', $dataSet));
		} catch (\Exception $e) {
			$response->addMessage(new Message('Não foi possível se cadastrar, pois ' . $e->getMessage()));
		}

	}
}