CREATE TABLE FCM_FONTEDADOSGRAFREL (
    NRFONTEDADOSGRAFREL  	NUMBER 			NOT NULL,
    NMFONTEDADOSGRAFREL  	VARCHAR2(250) 	NOT NULL,
    NRORG             		NUMBER 	     	DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 		NOT NULL,
    IDATIVO           		VARCHAR2(1)     DEFAULT 'S' 					NOT NULL
			CONSTRAINT CKC_IDATIVO_FCM_FONTEDADOS CHECK (IDATIVO IN ('S','N')),
    DTINCLUSAO        		DATE            NULL,
    DTULTATU          		DATE            NULL,
    NRORGINCLUSAO     		NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERINCLUSAO    		VARCHAR2(12)    DEFAULT '1' 					NULL,
    NRORGULTATU       		NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERULTATU      		VARCHAR2(12)    DEFAULT '1'
)
/

ALTER TABLE FCM_FONTEDADOSGRAFREL ADD CONSTRAINT PK_FCM_FONTEDADOSGRAFREL PRIMARY KEY (NRFONTEDADOSGRAFREL)
/

CREATE TABLE FCM_DADOSGRAFREL (
    NRDADOSGRAFREL       	NUMBER 			NOT NULL,
    NMDADOSGRAFREL       	VARCHAR2(250) 	NOT NULL,
    NRFONTEDADOSGRAFREL  	NUMBER 			NOT NULL,
    NMTABELADADO         	VARCHAR2(250),
    NMCAMPODADO          	VARCHAR2(250),
    NMTABELANOMEDADO     	VARCHAR2(250),
    NMCAMPONOMEDADO      	VARCHAR2(250),
    NMTABELADATAFILTRO   	VARCHAR2(250), 
    NMCAMPODATAFILTRO    	VARCHAR2(250),
    DSSQLCUSTOMIZADO     	VARCHAR2(4000),
    NRORG             		NUMBER 	     	DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 		NOT NULL,
    IDATIVO           		VARCHAR2(1)     DEFAULT 'S' 					NOT NULL
			CONSTRAINT CKC_IDATIVO_FCM_DADOSGRAFREL CHECK (IDATIVO IN ('S','N')),
    DTINCLUSAO        		DATE            NULL,
    DTULTATU          		DATE            NULL,
    NRORGINCLUSAO     		NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERINCLUSAO    		VARCHAR2(12)    DEFAULT '1' 					NULL,
    NRORGULTATU       		NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERULTATU      		VARCHAR2(12)    DEFAULT '1'
)
/

ALTER TABLE FCM_DADOSGRAFREL ADD CONSTRAINT PK_FCM_DADOSGRAFREL PRIMARY KEY (NRDADOSGRAFREL)
/

CREATE INDEX FCM00059_FK ON FCM_DADOSGRAFREL (NRFONTEDADOSGRAFREL ASC)
/

ALTER TABLE FCM_DADOSGRAFREL 
  ADD CONSTRAINT FKFCM00059_FONTDDS_DDSGRAFREL FOREIGN KEY (NRFONTEDADOSGRAFREL)
      REFERENCES FCM_FONTEDADOSGRAFREL (NRFONTEDADOSGRAFREL)
/

CREATE TABLE FCM_GRAFICOS (
    NRGRAFICOS           	NUMBER 			NOT NULL,
    NMGRAFICOS           	VARCHAR2(250) 	NOT NULL,
    NRFONTEDADOSGRAFREL  	NUMBER 			NOT NULL,
    IDTPGRAFICO          	CHAR(2),
    IDTIPOVARIAGRAFICO   	CHAR(2),
    IDPERIODO            	CHAR(1) 		DEFAULT 'P' NOT NULL,
    DTINIGRAFICO         	DATE,
    DTFIMGRAFICO         	DATE,
    IDGRAFICOPUB         	CHAR(1) 		DEFAULT 'S' NOT NULL,
    TXCONSULTAGRAFICO    	CLOB,
    NRFUNCRESPONSAVEL    	NUMBER,
    NRORG             		NUMBER 	     	DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 		NOT NULL,
    IDATIVO           		VARCHAR2(1)     DEFAULT 'S' 					NOT NULL
			CONSTRAINT CKC_IDATIVO_FCM_GRAFICOS CHECK (IDATIVO IN ('S','N')),
    DTINCLUSAO        		DATE            NULL,
    DTULTATU          		DATE            NULL,
    NRORGINCLUSAO     		NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERINCLUSAO    		VARCHAR2(12)    DEFAULT '1' 					NULL,
    NRORGULTATU       		NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERULTATU      		VARCHAR2(12)    DEFAULT '1'
)
/

ALTER TABLE FCM_GRAFICOS ADD CONSTRAINT PK_FCM_GRAFICOS PRIMARY KEY (NRGRAFICOS)
/

ALTER TABLE FCM_GRAFICOS ADD CONSTRAINT CK_IDPERIODO_FCM_GRAFICOS CHECK (IDPERIODO IN ('F', 'P'))
/

ALTER TABLE FCM_GRAFICOS ADD CONSTRAINT CK_IDGRAFICOPUB_FCM_GRAFICOS CHECK (IDGRAFICOPUB IN ('S', 'N'))
/

CREATE INDEX FCM00060_FK ON FCM_GRAFICOS (NRFONTEDADOSGRAFREL ASC)
/

ALTER TABLE FCM_GRAFICOS 
  ADD CONSTRAINT FKFCM00060_FONTEDADOS_GRAFICO FOREIGN KEY (NRFONTEDADOSGRAFREL)
      REFERENCES FCM_FONTEDADOSGRAFREL (NRFONTEDADOSGRAFREL)
/

CREATE INDEX FCM00061_FK ON FCM_GRAFICOS (NRFUNCRESPONSAVEL ASC)
/

ALTER TABLE FCM_GRAFICOS 
  ADD CONSTRAINT FKFCM00061_FUNC_GRAFICOS FOREIGN KEY (NRFUNCRESPONSAVEL)
      REFERENCES FCM_FUNCIONARIO (NRFUNCIONARIO)
/

CREATE TABLE FCM_CONFGRAFICOS (
    NRCONFGRAFICO        	NUMBER 			NOT NULL,
    NRGRAFICOS           	NUMBER 			NOT NULL,
    IDDIMENSAODADO       	CHAR(2),
    NRDADOSGRAFREL       	NUMBER,
    NRORG             		NUMBER 	     	DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 		NOT NULL,
    IDATIVO           		VARCHAR2(1)     DEFAULT 'S' 					NOT NULL
			CONSTRAINT CKC_IDATIVO_FCM_CONFGRAFICOS CHECK (IDATIVO IN ('S','N')),
    DTINCLUSAO        		DATE            NULL,
    DTULTATU          		DATE            NULL,
    NRORGINCLUSAO     		NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERINCLUSAO    		VARCHAR2(12)    DEFAULT '1' 					NULL,
    NRORGULTATU       		NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERULTATU      		VARCHAR2(12)    DEFAULT '1'
)
/

ALTER TABLE FCM_CONFGRAFICOS ADD CONSTRAINT PK_FCM_CONFGRAFICOS PRIMARY KEY (NRCONFGRAFICO)
/

CREATE INDEX FCM00062_FK ON FCM_CONFGRAFICOS (NRGRAFICOS ASC)
/

ALTER TABLE FCM_CONFGRAFICOS 
  ADD CONSTRAINT FKFCM00062_GRAF_CONFGRAFICOS FOREIGN KEY (NRGRAFICOS)
      REFERENCES FCM_GRAFICOS (NRGRAFICOS)
/

CREATE INDEX FCM00063_FK ON FCM_CONFGRAFICOS (NRDADOSGRAFREL ASC)
/

ALTER TABLE FCM_CONFGRAFICOS 
  ADD CONSTRAINT FKFCM00063_DDSGRREL_CONFGRAF FOREIGN KEY (NRDADOSGRAFREL)
      REFERENCES FCM_DADOSGRAFREL (NRDADOSGRAFREL)
/

CREATE TABLE FCM_PERMACESSGRAFICOS (
    NRPERMACESSGRAFICO   	NUMBER 			NOT NULL,
    NRGRAFICOS           	NUMBER 			NOT NULL,
    NRFUNCIONARIO        	NUMBER 			NOT NULL,
    NRORG             		NUMBER 	     	DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 		NOT NULL,
    IDATIVO           		VARCHAR2(1)     DEFAULT 'S' 					NOT NULL
			CONSTRAINT CKC_IDATIVO_FCM_PERMACESSGRAF CHECK (IDATIVO IN ('S','N')),
    DTINCLUSAO        		DATE            NULL,
    DTULTATU          		DATE            NULL,
    NRORGINCLUSAO     		NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERINCLUSAO    		VARCHAR2(12)    DEFAULT '1' 					NULL,
    NRORGULTATU       		NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERULTATU      		VARCHAR2(12)    DEFAULT '1'
)
/

ALTER TABLE FCM_PERMACESSGRAFICOS ADD CONSTRAINT PK_FCM_PERMACESSGRAFICOS PRIMARY KEY (NRPERMACESSGRAFICO)
/

CREATE INDEX FCM00064_FK ON FCM_PERMACESSGRAFICOS (NRGRAFICOS ASC)
/

ALTER TABLE FCM_PERMACESSGRAFICOS 
  ADD CONSTRAINT FKFCM00064_GRAF_PERMACESSGRAF FOREIGN KEY (NRGRAFICOS)
      REFERENCES FCM_GRAFICOS (NRGRAFICOS)
/

CREATE INDEX FCM00065_FK ON FCM_PERMACESSGRAFICOS (NRFUNCIONARIO ASC)
/

ALTER TABLE FCM_PERMACESSGRAFICOS 
  ADD CONSTRAINT FKFCM00065_FUNC_PERMACESSGRAF FOREIGN KEY (NRFUNCIONARIO)
      REFERENCES FCM_FUNCIONARIO (NRFUNCIONARIO)
/

CREATE TABLE FCM_RELATORIOS (
    NRRELATORIOS         	NUMBER 			NOT NULL,
    NMRELATORIOS         	VARCHAR2(250) 	NOT NULL,
    NRFONTEDADOSGRAFREL  	NUMBER 			NOT NULL,
    IDPERIODO            	CHAR(1) 		DEFAULT 'P' NOT NULL,
    DTINIRELATORIO       	DATE,
    DTFIMRELATORIO       	DATE,
    IDRELATORIOPUB       	CHAR(1) 		DEFAULT 'S' NOT NULL,
    TXCONSULTARELATORIO  	CLOB,
    NRFUNCRESPONSAVEL    	NUMBER,
    NRORG             		NUMBER 	     	DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 		NOT NULL,
    IDATIVO           		VARCHAR2(1)     DEFAULT 'S' 					NOT NULL
			CONSTRAINT CKC_IDATIVO_FCM_RELATORIOS CHECK (IDATIVO IN ('S','N')),
    DTINCLUSAO        		DATE            NULL,
    DTULTATU          		DATE            NULL,
    NRORGINCLUSAO     		NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERINCLUSAO    		VARCHAR2(12)    DEFAULT '1' 					NULL,
    NRORGULTATU       		NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERULTATU      		VARCHAR2(12)    DEFAULT '1'
)
/

ALTER TABLE FCM_RELATORIOS ADD CONSTRAINT PK_FCM_RELATORIOS PRIMARY KEY (NRRELATORIOS)
/

ALTER TABLE FCM_RELATORIOS ADD CONSTRAINT CK_IDPERIODO_FCM_RELATORIOS CHECK (IDPERIODO IN ('F', 'P'))
/

ALTER TABLE FCM_RELATORIOS ADD CONSTRAINT CK_IDRELATPUB_FCM_RELATORIOS CHECK (IDRELATORIOPUB IN ('S', 'N'))
/

CREATE INDEX FCM00066_FK ON FCM_RELATORIOS (NRFONTEDADOSGRAFREL ASC)
/

ALTER TABLE FCM_RELATORIOS 
  ADD CONSTRAINT FKFCM00066_FONTEDADOS_RELAT FOREIGN KEY (NRFONTEDADOSGRAFREL)
      REFERENCES FCM_FONTEDADOSGRAFREL (NRFONTEDADOSGRAFREL)
/

CREATE INDEX FCM00067_FK ON FCM_RELATORIOS (NRFUNCRESPONSAVEL ASC)
/

ALTER TABLE FCM_RELATORIOS 
  ADD CONSTRAINT FKFCM00067_FUNC_RELATORIOS FOREIGN KEY (NRFUNCRESPONSAVEL)
      REFERENCES FCM_FUNCIONARIO (NRFUNCIONARIO)
/

CREATE TABLE FCM_DADOSRELATORIO (
    NRDADOSRELATORIO     	NUMBER 			NOT NULL,
    NRRELATORIOS         	NUMBER 			NOT NULL,
    NRDADOSGRAFREL       	NUMBER,
    NRORDENACAO          	NUMBER,
    NRORG             		NUMBER 	     	DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 		NOT NULL,
    IDATIVO           		VARCHAR2(1)     DEFAULT 'S' 					NOT NULL
			CONSTRAINT CKC_IDATIVO_FCM_DADOSRELAT CHECK (IDATIVO IN ('S','N')),
    DTINCLUSAO        		DATE            NULL,
    DTULTATU          		DATE            NULL,
    NRORGINCLUSAO     		NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERINCLUSAO    		VARCHAR2(12)    DEFAULT '1' 					NULL,
    NRORGULTATU       		NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERULTATU      		VARCHAR2(12)    DEFAULT '1'
)
/

ALTER TABLE FCM_DADOSRELATORIO ADD CONSTRAINT PK_FCM_DADOSRELATORIO PRIMARY KEY (NRDADOSRELATORIO)
/

CREATE INDEX FCM00068_FK ON FCM_DADOSRELATORIO (NRRELATORIOS ASC)
/

ALTER TABLE FCM_DADOSRELATORIO 
  ADD CONSTRAINT FKFCM00068_RELAT_DADOSRELAT FOREIGN KEY (NRRELATORIOS)
      REFERENCES FCM_RELATORIOS (NRRELATORIOS)
/

CREATE INDEX FCM00069_FK ON FCM_DADOSRELATORIO (NRDADOSGRAFREL ASC)
/

ALTER TABLE FCM_DADOSRELATORIO 
  ADD CONSTRAINT FKFCM00069_DDSGRREL_DDSRELAT FOREIGN KEY (NRDADOSGRAFREL)
      REFERENCES FCM_DADOSGRAFREL (NRDADOSGRAFREL)
/

CREATE TABLE FCM_UNIDADESRELATORIO (
    NRUNIDADESRELATORIO  	NUMBER 			NOT NULL,
    NRRELATORIOS         	NUMBER 			NOT NULL,
    NRLOCALCLIENTE       	NUMBER 			NOT NULL,
    NRORG             		NUMBER 	     	DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 		NOT NULL,
    IDATIVO           		VARCHAR2(1)     DEFAULT 'S' 					NOT NULL
			CONSTRAINT CKC_IDATIVO_FCM_UNIDRELAT CHECK (IDATIVO IN ('S','N')),
    DTINCLUSAO        		DATE            NULL,
    DTULTATU          		DATE            NULL,
    NRORGINCLUSAO     		NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERINCLUSAO    		VARCHAR2(12)    DEFAULT '1' 					NULL,
    NRORGULTATU       		NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERULTATU      		VARCHAR2(12)    DEFAULT '1'
)
/

ALTER TABLE FCM_UNIDADESRELATORIO ADD CONSTRAINT PK_FCM_UNIDADESRELATORIO PRIMARY KEY (NRUNIDADESRELATORIO)
/

CREATE INDEX FCM00070_FK ON FCM_UNIDADESRELATORIO (NRRELATORIOS ASC)
/

ALTER TABLE FCM_UNIDADESRELATORIO 
  ADD CONSTRAINT FKFCM00070_RELAT_UNIDADEREL FOREIGN KEY (NRRELATORIOS)
      REFERENCES FCM_RELATORIOS (NRRELATORIOS)
/

CREATE INDEX FCM00071_FK ON FCM_UNIDADESRELATORIO (NRLOCALCLIENTE ASC)
/

ALTER TABLE FCM_UNIDADESRELATORIO 
  ADD CONSTRAINT FKFCM00071_LOCALCLI_UNIDREL FOREIGN KEY (NRLOCALCLIENTE)
      REFERENCES FCM_LOCALCLI (NRLOCALCLIENTE)
/

CREATE TABLE FCM_PERMACESSRELATORIO (
    NRPERMACESSRELATORIO  	NUMBER 			NOT NULL,
    NRRELATORIOS          	NUMBER 			NOT NULL,
    NRFUNCIONARIO         	NUMBER 			NOT NULL,
    NRORG             		NUMBER 	     	DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 		NOT NULL,
    IDATIVO           		VARCHAR2(1)     DEFAULT 'S' 					NOT NULL
			CONSTRAINT CKC_IDATIVO_FCM_PERMACESRELAT CHECK (IDATIVO IN ('S','N')),
    DTINCLUSAO        		DATE            NULL,
    DTULTATU          		DATE            NULL,
    NRORGINCLUSAO     		NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERINCLUSAO    		VARCHAR2(12)    DEFAULT '1' 					NULL,
    NRORGULTATU       		NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERULTATU      		VARCHAR2(12)    DEFAULT '1'
)
/

ALTER TABLE FCM_PERMACESSRELATORIO ADD CONSTRAINT PK_FCM_PERMACESSRELATORIO PRIMARY KEY (NRPERMACESSRELATORIO)
/

CREATE INDEX FCM00072_FK ON FCM_PERMACESSRELATORIO (NRRELATORIOS ASC)
/

ALTER TABLE FCM_PERMACESSRELATORIO 
  ADD CONSTRAINT FKFCM00072_RELAT_PERMACESSREL FOREIGN KEY (NRRELATORIOS)
      REFERENCES FCM_RELATORIOS (NRRELATORIOS)
/

CREATE INDEX FCM00073_FK ON FCM_PERMACESSRELATORIO (NRFUNCIONARIO ASC)
/

ALTER TABLE FCM_PERMACESSRELATORIO 
  ADD CONSTRAINT FKFCM00073_FUNC_PERMACESSREL FOREIGN KEY (NRFUNCIONARIO)
      REFERENCES FCM_FUNCIONARIO (NRFUNCIONARIO)
/

CREATE TABLE FCM_LEITCONTPESSOAS (
    NRSEQLEITURA         	NUMBER         NOT NULL,
    IDMACDEVICE          	VARCHAR2(50)   NOT NULL,  
    IDSENSOR             	VARCHAR2(50),             
    DTLEITURA            	DATE          	NOT NULL,  
    QTPESSOASENTR        	NUMBER,   
    QTPESSOASSAID        	NUMBER,   
    QTPESSOASENTRTOTDIA  	NUMBER,   
    QTPESSOASSAIDTOTDIA  	NUMBER,   
    NRORG             		NUMBER 	     	DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 		NOT NULL,
    IDATIVO           		VARCHAR2(1)     DEFAULT 'S' 					NOT NULL
			CONSTRAINT CKC_IDATIVO_FCM_LEITCONTPESS CHECK (IDATIVO IN ('S','N')),
    DTINCLUSAO        		DATE            NULL,
    DTULTATU          		DATE            NULL,
    NRORGINCLUSAO     		NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERINCLUSAO    		VARCHAR2(12)    DEFAULT '1' 					NULL,
    NRORGULTATU       		NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERULTATU      		VARCHAR2(12)    DEFAULT '1'
)
/

ALTER TABLE FCM_LEITCONTPESSOAS ADD CONSTRAINT PK_FCM_LEITCONTPESSOAS PRIMARY KEY (NRSEQLEITURA)
/

CREATE TABLE FCM_PARAMLEITCONTPESSOAS (
    NRPARAMLEITCONTPESSOAS 	NUMBER         NOT NULL,
    CDCLIENTE              	VARCHAR2(21)   NOT NULL,
    NRLOCALCLIENTE         	NUMBER         NOT NULL,
    IDTIPOSENSOR           	CHAR(2)        NOT NULL,
    IDMACDEVICE            	VARCHAR2(50)   NOT NULL,
    IDSENSOR               	VARCHAR2(50),
    NRQTPESSOASALERT       	NUMBER,
    VRDISTANCIAMINLEIT     	NUMBER,
    VRDISTANCIAMAXLEIT     	NUMBER,
    VRDISTANCIAMEDLEIT     	NUMBER,
    QTMATRIZLEITURA        	NUMBER,
    QTTEMPRECONHECIMENTO   	NUMBER, 
    IDMODODISTANCIA        	CHAR(1),
    QTTEMPOREPETLEIT       	NUMBER,
    HRINICIODIA            	VARCHAR2(5),
    HRFINALDIA             	VARCHAR2(5),
    QTLEITTOTALDIA         	NUMBER,
    NRORG             		NUMBER 	     	DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 		NOT NULL,
    IDATIVO           		VARCHAR2(1)     DEFAULT 'S' 					NOT NULL
			CONSTRAINT CKC_IDATIVO_FCM_PARLEITCONTP CHECK (IDATIVO IN ('S','N')),
    DTINCLUSAO        		DATE            NULL,
    DTULTATU          		DATE            NULL,
    NRORGINCLUSAO     		NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERINCLUSAO    		VARCHAR2(12)    DEFAULT '1' 					NULL,
    NRORGULTATU       		NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERULTATU      		VARCHAR2(12)    DEFAULT '1'
)
/

ALTER TABLE FCM_PARAMLEITCONTPESSOAS ADD CONSTRAINT PK_FCM_PARAMLEITCONTPESSOAS PRIMARY KEY (NRPARAMLEITCONTPESSOAS)
/

CREATE INDEX FCM00074_FK ON FCM_PARAMLEITCONTPESSOAS (CDCLIENTE ASC)
/

ALTER TABLE FCM_PARAMLEITCONTPESSOAS 
  ADD CONSTRAINT FKFCM00074_CLI_PARALERTCTP FOREIGN KEY (CDCLIENTE)
      REFERENCES CLIENTE (CDCLIENTE)
/

CREATE INDEX FCM00075_FK ON FCM_PARAMLEITCONTPESSOAS (NRLOCALCLIENTE ASC)
/

ALTER TABLE FCM_PARAMLEITCONTPESSOAS 
  ADD CONSTRAINT FKFCM00075_LOCAL_PARALERTCTP FOREIGN KEY (NRLOCALCLIENTE)
      REFERENCES FCM_LOCALCLI (NRLOCALCLIENTE)
/

CREATE TABLE FCM_PARAMALERTCONTPESSOAS (
    NRPARAMALERTCONTPESSOAS   	NUMBER       	NOT NULL,
    NRPARAMLEITCONTPESSOAS    	NUMBER       	NOT NULL, 
    IDTIPOALERTA              	CHAR(2),         
    DSCONTATOSALERTA          	VARCHAR2(4000),
    NRORG             			NUMBER 	     	DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 		NOT NULL,
    IDATIVO           			VARCHAR2(1)     DEFAULT 'S' 					NOT NULL
			CONSTRAINT CKC_IDATIVO_FCM_PARALERTCONTP CHECK (IDATIVO IN ('S','N')),
    DTINCLUSAO        			DATE            NULL,
    DTULTATU          			DATE            NULL,
    NRORGINCLUSAO     			NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERINCLUSAO    			VARCHAR2(12)    DEFAULT '1' 					NULL,
    NRORGULTATU       			NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERULTATU      			VARCHAR2(12)    DEFAULT '1'
)
/

ALTER TABLE FCM_PARAMALERTCONTPESSOAS ADD CONSTRAINT PK_FCM_PARAMALERTCONTPESSOAS PRIMARY KEY (NRPARAMALERTCONTPESSOAS)
/

CREATE INDEX FCM00076_FK ON FCM_PARAMALERTCONTPESSOAS (NRPARAMLEITCONTPESSOAS ASC)
/

ALTER TABLE FCM_PARAMALERTCONTPESSOAS 
  ADD CONSTRAINT FKFCM00076_PARLEITCP_PARALERCP FOREIGN KEY (NRPARAMLEITCONTPESSOAS)
      REFERENCES FCM_PARAMLEITCONTPESSOAS (NRPARAMLEITCONTPESSOAS)
/

ALTER TABLE FCM_PARAMALERTCONTPESSOAS ADD CONSTRAINT CK_IDTIPOALERTA CHECK (IDTIPOALERTA IN ('1', '2', '3', '4'))
/

ALTER TABLE FCM_HIERARQUIAFUNC MODIFY NMHIERARQUIAFUNC VARCHAR2(250)
/

ALTER TABLE FCM_HIERARQUIAFUNC MODIFY IDATIVO VARCHAR2(1) DEFAULT 'N'
/

CREATE TABLE FCM_FUNCIONARIOSHIERARQ (
    NRFUNCIONARIOSHIERARQ  	NUMBER NOT NULL,
    NRHIERARQUIAFUNC       	NUMBER NOT NULL,
    NRFUNCIONARIO          	NUMBER NOT NULL,
    NRFUNCIONARIOPAI       	NUMBER,
    NRORG             		NUMBER 	     	DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 		NOT NULL,
    IDATIVO           		VARCHAR2(1)     DEFAULT 'S' 					NOT NULL
			CONSTRAINT CKC_IDATIVO_FUNCHIER CHECK (IDATIVO IN ('S','N')),
    DTINCLUSAO        		DATE            NULL,
    DTULTATU          		DATE            NULL,
    NRORGINCLUSAO     		NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERINCLUSAO    		VARCHAR2(12)    DEFAULT '1' 					NULL,
    NRORGULTATU       		NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERULTATU      		VARCHAR2(12)    DEFAULT '1'
)
/

ALTER TABLE FCM_FUNCIONARIOSHIERARQ ADD CONSTRAINT PK_NRFUNCIONARIOSHIERARQ PRIMARY KEY (NRFUNCIONARIOSHIERARQ)
/

CREATE INDEX FCM00077_FK ON FCM_FUNCIONARIOSHIERARQ (NRHIERARQUIAFUNC ASC)
/

ALTER TABLE FCM_FUNCIONARIOSHIERARQ 
  ADD CONSTRAINT FKFCM00077_HIERFUNC_HIERFUNC FOREIGN KEY (NRHIERARQUIAFUNC)
      REFERENCES FCM_HIERARQUIAFUNC (NRHIERARQUIAFUNC)
/

CREATE INDEX FCM00078_FK ON FCM_FUNCIONARIOSHIERARQ (NRFUNCIONARIO ASC)
/

ALTER TABLE FCM_FUNCIONARIOSHIERARQ 
  ADD CONSTRAINT FKFCM00078_FUNC_FUNCHIER FOREIGN KEY (NRFUNCIONARIO)
      REFERENCES FCM_FUNCIONARIO (NRFUNCIONARIO)
/

CREATE INDEX FCM00079_FK ON FCM_FUNCIONARIOSHIERARQ (NRFUNCIONARIOPAI ASC)
/

ALTER TABLE FCM_FUNCIONARIOSHIERARQ 
  ADD CONSTRAINT FKFCM00079_FUNC_FUNCHIERPAI FOREIGN KEY (NRFUNCIONARIOPAI)
      REFERENCES FCM_FUNCIONARIO (NRFUNCIONARIO)
/

ALTER TABLE FCM_LOGTRANSFAGEND ADD NRFUNCREALIZATRANSF NUMBER
/

ALTER TABLE FCM_LOGTRANSFAGEND MODIFY DTHORAAGENDORIG DATE
/

ALTER TABLE FCM_LOGTRANSFAGEND MODIFY DTHORAAGENDDESTINO DATE
/

ALTER TABLE FCM_LOGTRANSFGERCHK ADD NRFUNCREALIZATRANSF NUMBER
/

ALTER TABLE FCM_LOGTRANSFGERCHK MODIFY DTHORAAGENDORIG DATE
/

ALTER TABLE FCM_LOGTRANSFGERCHK MODIFY DTHORAAGENDDESTINO DATE
/